healpix.essentials

## Class HealpixTables

- java.lang.Object
- - healpix.essentials.HealpixTables

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Fxyf, HealpixBase

    public class HealpixTables
    extends Object
    implements Serializable

Various data tables needed by the `HealpixBase` class.

See Also:
  Serialized Form

### Field Summary

Fields
`protected static short[]` `ctab`
`protected static short[][]` `facearray`
`protected static byte[]` `jpll`
`protected static byte[]` `jrll`
`protected static int[][]` `swap_cycle`
`protected static byte[][]` `swaparray`
`protected static short[]` `utab`
`protected static short[]` `xoffset`
`protected static short[]` `yoffset`

### Constructor Summary

Constructors
Constructor and Description
`HealpixTables()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ctab

    protected static final short[] ctab

#### utab

    protected static final short[] utab

#### jrll

    protected static final byte[] jrll

#### jpll

    protected static final byte[] jpll

#### xoffset

    protected static final short[] xoffset

#### yoffset

    protected static final short[] yoffset

#### facearray

    protected static final short[][] facearray

#### swaparray

    protected static final byte[][] swaparray

#### swap_cycle

    protected static final int[][] swap_cycle

### Constructor Detail

#### HealpixTables

    public HealpixTables()